about summary refs log tree commit diff homepage
path: root/.travis/install-tcmalloc.sh
diff options
context:
space:
mode:
Diffstat (limited to '.travis/install-tcmalloc.sh')
-rwxr-xr-x.travis/install-tcmalloc.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/.travis/install-tcmalloc.sh b/.travis/install-tcmalloc.sh
index a0d825e1..0bc26616 100755
--- a/.travis/install-tcmalloc.sh
+++ b/.travis/install-tcmalloc.sh
@@ -11,9 +11,12 @@ if [[ "$TRAVIS_OS_NAME" == "linux" ]]; then
     make
     sudo make install
   fi
-else # OSX
+elif [[ "${TRAVIS_OS_NAME}" == "osx" ]]; then
   if [ ${USE_TCMALLOC:-0} -eq 1 ] ; then
     echo "Error: Requested to install TCMalloc on macOS, which is not supported"
     exit 1
   fi
+else
+  echo "Unhandled TRAVIS_OS_NAME \"${TRAVIS_OS_NAME}\""
+  exit 1
 fi